



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Andorid之Annotation框架初使用（二）</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Andorid之Annotation框架初使用（二）</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-27 21:21:01 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>Fragment：</p>
<div>
<pre class="prettyprint linenums">@EActivity(R.layout.fragments)<br />
public class MyFragmentActivity extends FragmentActivity {<br />
  @FragmentById<br />
  MyFragment myFragment;

  @FragmentById(R.id.myFragment)<br />
  MyFragment myFragment2;

  @FragmentByTag<br />
  MyFragment myFragmentTag;

  @FragmentByTag("myFragmentTag")<br />
  MyFragment myFragmentTag2;<br />
}</pre>
</div>
<p>在布局中使用Fragment：</p>
<div>
<pre class="prettyprint linenums">&lt;fragment<br />
        // i only display name property , you should add more<br />
        android:name="com.company.MyFragment_" /&gt;</pre>
</div>
<p>代码中使用:</p>
<div>
<pre class="prettyprint linenums">MyFragment fragment = new MyFragment_();</pre>
</div>
<p>如果需要重写onCreateView方法，你应该：</p>
<div>
<pre class="prettyprint linenums">@EFragment(R.layout.my_fragment_layout)<br />
public class MyFragment extends Fragment {<br />
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {<br />
        return null;<br />
    }<br />
}</pre>
</div>
<p>@FragmentArg</p>
<div>
<pre class="prettyprint linenums">@EFragment<br />
public class MyFragment extends Fragment {<br />
  @FragmentArg("myStringArgument")<br />
  String myMessage;<br />
  @FragmentArg<br />
  String anotherStringArgument;<br />
  @FragmentArg("myDateExtra")<br />
  Date myDateArgumentWithDefaultValue = new Date();<br />
}
</pre>
<pre class="prettyprint linenums">MyFragment myFragment = MyFragment_.builder()<br />
  .myMessage("Hello")<br />
  .anotherStringArgument("World")<br />
  .build();</pre>
</div>
<p>BroadcastReciver：</p>
<div>
<pre class="prettyprint linenums">@EReceiver<br />
public class MyReceiver extends BroadcastReceiver {}</pre>
</div>
<p>ContentProvider：</p>
<div>
<pre class="prettyprint linenums">@EProvider<br />
public class MyContentProvider extends ContentProvider {}</pre>
</div>
<p>Service：</p>
<div>
<pre class="prettyprint linenums">@EService<br />
public class MyService extends Service {}</pre>
</div>
<p>自定义View：</p>
<div>
<pre class="prettyprint linenums">@EView<br />
public class CustomButton extends Button {<br />
        @App<br />
        MyApplication application;<br />
        @StringRes<br />
        String someStringResource;<br />
    public CustomButton(Context context, AttributeSet attrs) {<br />
        super(context, attrs);<br />
    }<br />
}</pre>
</div>
<p>布局中使用自定义View:</p>
<div>
<pre class="prettyprint linenums">&lt;com.androidannotations.view.CustomButton_<br />
        android:layout_width="match_parent"<br />
        android:layout_height="wrap_content" /&gt;</pre>
</div>
<p>代码中使用自定义View：</p>
<div>
<pre class="prettyprint linenums">CustomButton button = CustomButton_.build(context);</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/e9p1wod9.html">node&period;js 资料</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvze11q.html">Safari里使用JsonView</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlm4d309.html">linux int to string 方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy15xdmq.html">org&period;hibernate&period;LazyInitializationException&period;&period;&period;no session or session was closed</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jzrooe8.html">iBrand 教程 0&period;1：Windows &plus; Homestead 5 搭建 Laravel 开发环境</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zod1g1q.html">&lbrack;Swift&rsqb;LeetCode854&period; 相似度为 K 的字符串 &vert; K-Similar Strings</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdp6d2jq.html">python中matplotlib画图</a>
		</li>
						<li><a href="https://www.batexi.com/a/qllnnleq.html">Java基础内部类、包的声名、访问修饰符、代码块整理</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1rpjp68.html">体验Hadoop3&period;0生态圈-CDH6&period;1时代的来临</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o1r3nlq.html">Scss基础用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gj73j79.html">C&num; 使用 protobuf 进行对象序列化与反序列化</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25pwmoq.html">minicom的安装及配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/93pgzer8.html">unique STL讲解和模板</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o40ggxq.html">Samba服务创建共享文件系统</a>
		</li>
						<li><a href="https://www.batexi.com/a/9631p3y9.html">&lbrack;BZOJ3598&rsqb;&lbrack;SCOI2014&rsqb;方伯伯的商场之旅&lpar;数位DP&comma;记忆化搜索&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwolmyk9.html">springBoot 中webSocket 应用一</a>
		</li>
						<li><a href="https://www.batexi.com/a/qd5dr0z9.html">木材加工（LintCode）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8odv7m5q.html">Python自然语言处理资料库</a>
		</li>
						<li><a href="https://www.batexi.com/a/96mgl3n8.html">【开源类库学习】MBProgressHUD&lpar;提示框&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q15ezx09.html">OgnlContext 源码</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qx2pmz08.html">JAVA实现图的邻接表以及DFS</a>
			</li>
						<li><a href="https://www.batexi.com/a/93pe20w8.html">&lbrack;前端随笔&rsqb;&lbrack;css&rsqb; 弹性布局</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdjn2evq.html">&lbrack;BZOJ3672&rsqb;&lbrack;Noi2014&rsqb;购票 斜率优化&plus;点分治&plus;cdq分治</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gp2w5z9.html">linux的文件隐藏属性 chattr  lsattr</a>
			</li>
						<li><a href="https://www.batexi.com/a/8emnvle9.html">C&num;  HTML 生成 PDF</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2kopkwq.html">rsync&colon; chroot No such file or directory &lpar;2&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/qve661x9.html">Web开发&mdash;&mdash;服务器端应用技术简单比较</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pp0z6d9.html">Python并发编程-进程的几个方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kow0vjq.html">django常见问题小结，细节容易忽视</a>
			</li>
						<li><a href="https://www.batexi.com/a/9631jrj9.html">Scrapy实战篇（八）之简书用户信息全站抓取</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
